ranges::reference_wrapper< T > Struct Template Reference
Functional
Inheritance diagram for ranges::reference_wrapper< T >:

## Public Types

using | reference = meta::if_< std::is_reference< T >, T, T & >
using | type = meta::_t< std::remove_reference< T > >

## Public Member Functions

template<typename U >
CPP_TEMPLATE_AUX_0 | c (requires `(!same_as< uncvref_t< U >, reference_wrapper >) &&constructible_from< base_, U >) ccconstexpr reference_wrapper(U &&u) noexcept(std::is_nothrow_constructible< base_, U >::value)
constexpr reference | get () const noexcept
constexpr | operator reference () const noexcept